using System.Collections.Generic;
using Newtonsoft.Json;

namespace WeChatSharp
{
	/// <summary>
	/// 微信模板消息接口定义
	/// </summary>
	public interface IWeChatTemplateMessage
	{
		/// <summary>
		/// 接收者（用户）的 openid
		/// </summary>
		[JsonProperty("touser")]
		string ToUser { get; }

		/// <summary>
		/// 模板Id
		/// </summary>
		[JsonProperty("template_id")]
		string TemplateId { get; }

		/// <summary>
		/// 消息的Url
		/// </summary>
		[JsonProperty("url")]
		string Url { get; }

		/// <summary>
		/// 消息的id,通常为Guid.New
		/// </summary>
		[JsonProperty("client_msg_id")]
		string ClientMsgId { get; }

		/// <summary>
		/// 模板消息的数据
		/// </summary>
		[JsonProperty("data")]
		IDictionary<string, WeChatTemplateMessageData> Data { get; }
	}
}