using System;
using BITKit.Entities;
using Newtonsoft.Json;

namespace WeChatSharp
{

	[Serializable]
	public record WeChatUserInfo:IdComponent_String
	{
		[JsonProperty(propertyName: "subscribe")]
		public int Subscribe;

		[JsonProperty(propertyName: "openid")] public string OpenId;

		[JsonProperty(propertyName: "nickname")]
		public string NickName;

		[JsonProperty(propertyName: "sex")] public int Sex;

		[JsonProperty(propertyName: "language")]
		public string Language;

		[JsonProperty(propertyName: "city")] public string City;

		[JsonProperty(propertyName: "province")]
		public string Province;

		[JsonProperty(propertyName: "country")]
		public string Country;

		[JsonProperty(propertyName: "headimgurl")]
		public string HeadImgUrl;

		[JsonProperty(propertyName: "subscribe_time")]
		public int SubscribeTime;

		[JsonProperty(propertyName: "remark")] public string Remark;

		[JsonProperty(propertyName: "groupid")]
		public int GroupId;

		[JsonProperty(propertyName: "tagid_list")]
		public string[] TagIdList;

		[JsonProperty(propertyName: "subscribe_scene")]
		public string SubscribeScene;

		[JsonProperty(propertyName: "qr_scene")]
		public int QrScene;

		[JsonProperty(propertyName: "qr_scene_str")]
		public string QrSceneStr;

		public string Id => OpenId;
	}
/*
{
    "subscribe": 1,
    "openid": "oY0tZ6_aqq_MEWsej9zJEY6OVspI",
    "nickname": "",
    "sex": 0,
    "language": "zh_CN",
    "city": "",
    "province": "",
    "country": "",
    "headimgurl": "",
    "subscribe_time": 1687668622,
    "remark": "Root",
    "groupid": 0,
    "tagid_list": [],
    "subscribe_scene": "ADD_SCENE_SEARCH",
    "qr_scene": 0,
    "qr_scene_str": ""
}
*/
}